=== debian/control ===
Source: starvoyager
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Alexandre Detiste <tchet@debian.org>,
Standards-Version: 4.7.2
Build-Depends:
 debhelper-compat (= 12),
 libsdl-net1.2-dev,
 libsdl1.2-dev,
Homepage: http://starvoyager.bluesky.me.uk/
Vcs-Browser: https://salsa.debian.org/games-team/starvoyager
Vcs-Git: https://salsa.debian.org/games-team/starvoyager.git
Rules-Requires-Root: no
X-Style: black

Package: starvoyager
Architecture: any
Depends:
 starvoyager-data,
 ${misc:Depends},
 ${shlibs:Depends},
Description: 2D space arcade game, themed around 'Star Trek' - binary
 Star Voyager is a Frontier/Elite class game in a more arcade style 2D
 environment, themed to the 'Star Trek' universe. It utilizes the SDL library
 for portability.
 .
 This package contains the game binary

Package: starvoyager-data
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Recommends:
 starvoyager,
Description: 2D space arcade game, themed around 'Star Trek' - data files
 Star Voyager is a Frontier/Elite class game in a more arcade style 2D
 environment, themed to the 'Star Trek' universe. It utilizes the SDL library
 for portability.
 .
 This package contains the data files used by the game engine
